summaryrefslogtreecommitdiff
path: root/tests/cert-tests/pem-decoding
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@gnutls.org>2014-04-19 18:44:37 +0200
committerNikos Mavrogiannopoulos <nmav@gnutls.org>2014-04-19 18:44:37 +0200
commit474e9c927abe27c4e62f18d8eb7023908ba1c42c (patch)
tree6427fba60860fd79d100fab49c6673ce3a58f17e /tests/cert-tests/pem-decoding
parent9b8271f0015526f017aa70b8d1f3a8fa1f8d3a62 (diff)
downloadgnutls-474e9c927abe27c4e62f18d8eb7023908ba1c42c.tar.gz
Run scripts under valgrind.
Diffstat (limited to 'tests/cert-tests/pem-decoding')
-rwxr-xr-xtests/cert-tests/pem-decoding11
1 files changed, 7 insertions, 4 deletions
diff --git a/tests/cert-tests/pem-decoding b/tests/cert-tests/pem-decoding
index 19e83ad59a..881bd73856 100755
--- a/tests/cert-tests/pem-decoding
+++ b/tests/cert-tests/pem-decoding
@@ -25,9 +25,12 @@
srcdir=${srcdir:-.}
CERTTOOL=${CERTTOOL:-../../src/certtool$EXEEXT}
DIFF=${DIFF:-diff}
+if ! test -z "${VALGRIND}";then
+VALGRIND="libtool --mode=execute ${VALGRIND}"
+fi
#check whether "funny" spaces can be interpreted
-$CERTTOOL --certificate-info --infile $srcdir/funny-spacing.pem >/dev/null 2>&1
+$VALGRIND $CERTTOOL --certificate-info --infile $srcdir/funny-spacing.pem >/dev/null 2>&1
rc=$?
# We're done.
@@ -37,7 +40,7 @@ if test "$rc" != "0"; then
fi
#check whether a BMPString attribute can be properly decoded
-$CERTTOOL --certificate-info --infile $srcdir/bmpstring.pem >tmp-pem.pem
+$VALGRIND $CERTTOOL --certificate-info --infile $srcdir/bmpstring.pem >tmp-pem.pem
rc=$?
if test "$rc" != "0"; then
@@ -56,7 +59,7 @@ if test "$rc" != "0"; then
fi
#check whether complex-cert is decoded as expected
-$CERTTOOL --certificate-info --infile $srcdir/complex-cert.pem >tmp-pem.pem
+$VALGRIND $CERTTOOL --certificate-info --infile $srcdir/complex-cert.pem >tmp-pem.pem
rc=$?
if test "$rc" != "0"; then
@@ -75,7 +78,7 @@ if test "$rc" != "0"; then
fi
#check whether the cert with many othernames is decoded as expected
-$CERTTOOL --certificate-info --infile $srcdir/xmpp-othername.pem >tmp-pem.pem
+$VALGRIND $CERTTOOL --certificate-info --infile $srcdir/xmpp-othername.pem >tmp-pem.pem
rc=$?
if test "$rc" != "0"; then